#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DateTime
%define		pnam	TimeZone
Summary:	DateTime::TimeZone - time zone object base class and factory
Summary(pl.UTF-8):	DateTime::TimeZone - podstawowe klasy obiektowe do obsługi stref czasowych
Name:		perl-DateTime-TimeZone
Version:	1.46
Release:	1
Epoch:		3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e83f412286d7787e3dfd5427a1943569
URL:		http://search.cpan.org/dist/DateTime-TimeZone/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Load
BuildRequires:	perl-Class-Singleton >= 1.03
# most tests skipped without DateTime >= 0.1501
BuildRequires:	perl-DateTime >= 0.15_01
BuildRequires:	perl-Params-Validate >= 0.72
BuildRequires:	perl-Test-Simple >= 0.88
%endif
Requires:	perl-Class-Singleton >= 1.03
Requires:	perl-Params-Validate >= 0.72
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(DateTime::TimeZone.*)'

%description
This class is the base class for all time zone objects. A time zone is
represented internally as a set of observances, each of which
describes the offset from GMT for a given time period. Note that
without the "DateTime.pm" module, this module does not do much. It's
primary interface is through a "DateTime" object, and most users will
not need to directly use "DateTime::TimeZone" methods.

%description -l pl.UTF-8
Jest to klasa bazowa dla klas wszystkich obiektów stref czasowych.
Strefa czasowa jest reprezentowana przez zbiór reguł, z których każda
określa przesunięcie o zadany okres czasu w stosunku do czasu
uniwersalnego (GMT). Należy zwrócić uwagę, że bez modułu "DateTime.pm"
moduł ten nie jest w stanie wiele zdziałać. Jego podstawowym
interfejsem jest moduł "DateTime" i w większości przypadków nie ma
potrzeby bezpośredniego korzystania z metod "DateTime::TimeZone".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/TimeZone.pm
%{perl_vendorlib}/DateTime/TimeZone
%{_mandir}/man3/DateTime::TimeZone*.3pm*
%changelog
* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 6f5a496
- updated to 1.46

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 2edb1c1
- up to 1.42

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> f4abcb9
- Up to 1.34

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 8b7dcd5
- Up to 1.31

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 9befb59
- all tests succeed now; release 1

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 756d5d0
- up to 1.28

* Sat Dec 18 2010 Caleb Maclennan <caleb@alerque.com> f3942c3
- Up to 1.26, rel 0.1 because only builds --without tests

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> cf44784
- Up to 0.23

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 12d3842
- updated to 1.05

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> c86515b
- updated to 1.01

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 42fb285
- updated to 0.8301

* Mon Feb 11 2008 radek <radek@pld-linux.org> 74e8630
- version 0.72, epoch 3

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 4fb3b7f
- up to 0.6904

* Mon Apr 30 2007 radek <radek@pld-linux.org> 773031f
- version 0.65, simplify %files

* Mon Mar 26 2007 radek <radek@pld-linux.org> 7b8bc5b
- release 2: noautoreq DateTime::TimeZone*

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d0ca2e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9a95085
- converted to UTF-8

* Thu Jul 27 2006 Elan Ruusamäe <glen@pld-linux.org> 53d7208
- 0.46 (Epoch: 2 due 0.3801 being "newer"), generic URL

* Sun Dec 04 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 3bf05ce
- updated to 0.3801

* Fri Nov 04 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 825cd80
- updated to 0.37

